<!DOCTYPE html>
 {% load staticfiles %} 
<html lang="en"> 
<head>
 <meta http-equiv="Content-type" content="text/html;charset=UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1"/> 
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
<!--===============================================================================================--> 
<!--===============================================================================================-->
 <body> <div id="container"> 
<div id="container1" style="width: 500px; height: 400px; margin: 0 " align="left">
</div> 
</div>
<script src="{% static 'js/lang.js'%}"></script>

<script src="{% static 'js/highstock.js'%}"></script> 
<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>
 <script> 
var H = Highcharts 
var a = {86400000:'1h',3600000:'1m',31536000000:'365d',2592000000:'30d'}
var language=parent.document.getElementById("mbPOCControlsLangDrop")
function afterSetExtremes(e) {
index=nthIndex(window.location.toString(),"/",7) 
end=(window.location.toString()).slice(index,(window.location.toString()).length) 
var chart = Highcharts.charts[0];
    chart.showLoading('Loading data from server...');
    src="http://34.66.198.6/"+id+"/timeline_data/"+Math.round(e.min).toString()+"/"+Math.round(e.max).toString()+end
    $.getJSON(src, function (data){
       if (data.length>1) { 
	interval=parseInt((data[1][0]-data[0][0]))
}
else{ 
interval=0
}
        chart.series[0].setData(data);
        chart.hideLoading();
    });
	 parent.min=e.min
	 parent.max=e.max
	
	     src="http://34.66.198.6/"+id+"/map/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("map",src)
         w=end.split('/')
         src="http://34.66.198.6:3838/?id="+id+"&min="+parseInt(e.min).toString()+"&max="+parseInt(e.max).toString()+"&top="+w[1]+"&word="+w[2]+"&skip=0"
         parent.loadIframe("chirp",src)
         src="http://34.66.198.6/"+id+"/account/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("account",src)
	 src="http://34.66.198.6/"+id+"/adopter/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
	 parent.loadIframe("adopter",src)

         if(parseInt(e.max-e.min) in a){
         src="http://34.66.198.6/"+id+"/sentiment_trend/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end+a[parseInt(e.max-e.min)]+"/"
         parent.loadIframe("sentiment_trend",src)
         }
         else{
         src="http://34.66.198.6/"+id+"/sentiment_trend/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end+"automatic/"
         parent.loadIframe("sentiment_trend",src)
         }
         src="http://34.66.198.6/"+id+"/hashtags/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("hashtags",src)
	     src="http://34.66.198.6/"+id+"/mentions_screen_name/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("mentions_screen_name",src)
    	 src="http://34.66.198.6/"+id+"/screen_name/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("screen_name",src)
	     src="http://34.66.198.6/"+id+"/sentiments/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+end
         parent.loadIframe("sentiments",src)
	     src="http://34.66.198.6/"+id+"/twitter/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+"/All/"+parent.document.getElementById("sel").value+end
         parent.loadIframe("twitter",src)
	     src="http://34.66.198.6/"+id+"/word/"+parseInt(e.min).toString()+"/"+parseInt(e.max).toString()+"/All/"+parent.document.getElementById("sel").value+end
         parent.loadIframe("word-cloud",src)
         parent.loadIframe("word-assoc","http://34.66.198.6/"+id+"/word/0/999999999999999/All/all/top/top/_")
}
var id='{{id|safe}}'
src=window.location.toString() 
src=src.replace("timeline","timeline_data") 
var interval=0
$.getJSON(src, function (data) {

 if (data.length>1)
 { 
	interval=parseInt((data[1][0]-data[0][0]))

 }


var chart = Highcharts.stockChart('container', {
        chart: {
            height: 400
        },
        title: {
            text:'<strong><p data-mlr-text>الخط الزمني للتغریدات</p></strong>',
	    useHTML:true
        },
	navigator: {
            adaptToUpdatedData: false,
            series: {
                data: data
            }
        },
        scrollbar: {
            liveRedraw: true
        },
   tooltip: {
       
        formatter: function() {
	    if (language.value=="English"){
            var headerFormat = 'From: ' +
             H.dateFormat('%d %b %Y %H:%M:%S',(this.points[0].point.x)) +
                '<br> To: ' +
                H.dateFormat('%d %b %Y %H:%M:%S',(this.points[0].point.x + interval))
                var pointFormat = '<span style="color:' +
                this.points[0].point.color + '">\u25CF</span> ' +
                'Tweets Count' + ':<b>' +
                this.points[0].point.y + '</b><br/>'
}
else{
 var headerFormat = 'From: ' +
             H.dateFormat('%d %b %Y %H:%M:%S',(this.points[0].point.x)) +
                '<br> To: ' +
                H.dateFormat('%d %b %Y %H:%M:%S',(this.points[0].point.x + interval))
                var pointFormat = '<span style="color:' +
                this.points[0].point.color + '">\u25CF</span> '+'<b>' +
                this.points[0].point.y + '</b>'+ ":عدد التغریدات"


}
            return [headerFormat, pointFormat]
        }
},
	xAxis: {
             gapGridLineWidth: 0,
         events: {
         afterSetExtremes:afterSetExtremes
         },
        minRange:1
     },
	 
	yAxis:{
	 text:'Tweets Count',
	 min:0,
	 minRange: 0
	 }
 ,
       rangeSelector: {
            buttons: [{
                type: 'hour',
                count: 1,
                text: '1H',

            }, {
                type: 'day',
                count: 1,
                text: '1D',

            },
{
                type: 'month',
                count: 1,
                text: '1M',

            },
{
                type: 'year',
                count: 1,
                text: '1Y',

            },
			{
                type: 'all',
                count: 1,
                text: 'All'
            }],
            selected:4,
            inputEnabled: false
        },
        series: [{
            name: 'Tweets Count',
            data: data,
	    dataGrouping: {
                enabled: false
            },
	    type:'area',
            gapSize: 5,
            tooltip: {
                valueDecimals: 0
            },
            fillColor: {
                linearGradient: {
                    x1: 0,
                    y1: 0,
                    x2: 0,
                    y2: 1
                },
                stops: [
                    [0, Highcharts.getOptions().colors[0]],
                    [1, Highcharts.Color(Highcharts.getOptions().colors[0]).setOpacity(0).get('rgba')]
                ]
            },
            threshold: null
        }],
        responsive: {
            rules: [{
                condition: {
                    maxWidth: 500
                },
                chartOptions: {
                    chart: {
                        height: 300
                    },
                    subtitle: {
                        text: null
                    },
                    navigator: {
                        enabled: false
                    }
                     
  
                }
            }]
        }
    });
});
// Function to find the nth index of character in a string 
function nthIndex(str, pat, n){
    var L= str.length, i= -1;
    while(n-- && i++< L){
        i= str.indexOf(pat, i);
        if (i < 0) break;
    }
    return i;
}	
	</script>
	
	</body> </html>
